Name:          tggraphlayout
Version:       1.22
Release:       %mkrel 6
Summary:       The layout library of the Touchgraph project
Group:         Development/Java
License:       ASL
URL:           http://www.touchgraph.com/
Source0:       http://sourceforge.net/projects/touchgraph/files/GraphLayout/1.22-jre11/TGGL_122_jre11.zip
Patch0:        tggraphlayout-javadoc.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
TouchGraph provides a set of interfaces for graph visualization using
force-based layout and focus+context techniques. For now only
older code is available, but we are planning to release new versions
as well.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
The layout library of the Touchgraph project.

This package contains javadoc for %{name}.

%prep
%setup -q -n TGGraphLayout
%autopatch -p1

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
for j in $(find . -name "*.class"); do
  mv $j ${j}.no
done
mv TGGL\ ReleaseNotes.txt TGGL_ReleaseNotes.txt

mkdir -p classes
mkdir -p apidocs

%build
export ClASSPATH=%Java_home/jre/lib/rt.jar
javac -d classes $(find com/ -name "*.java")
javadoc -d apidocs $(find com/ -name "*.java")
pushd classes
  jar cf ../tggraphlayout-%{version}.jar *
popd
%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 tggraphlayout-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf tggraphlayout-%{version}.jar %{buildroot}%{_javadir}/tggl.jar
)

mkdir -p %{buildroot}%{_javadocdir}/tggraphlayout-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/tggraphlayout-%{version}
ln -s tggraphlayout-%{version} %{buildroot}%{_javadocdir}/tggraphlayout

%files
%{_javadir}/tggl.jar
%{_javadir}/tggraphlayout-%{version}.jar
%{_javadir}/tggraphlayout.jar
%doc TG-APACHE-LICENSE.txt TGGL_ReleaseNotes.txt TGGraphLayout.html

%files javadoc
%{_javadocdir}/tggraphlayout-%{version}
%{_javadocdir}/tggraphlayout



%changelog
* Mon Feb 08 2016 cjw <cjw> 1.22-6.mga6
+ Revision: 943871
- patch0: fix 2 javadoc errors

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.22-5.mga5
+ Revision: 741953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.22-4.mga5
+ Revision: 689859
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.22-3.mga4
+ Revision: 519629
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.22-2.mga3
+ Revision: 384505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 1.22-1.mga2
+ Revision: 131288
- Clean spec file

  + gil <gil>
    - imported package tggraphlayout

